## edu.stanford.nlp.ling
Class CoreAnnotations.TokenEndAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.TokenEndAnnotation

All Implemented Interfaces:
  CoreAnnotation<Integer>, TypesafeMap.Key<CoreMap,Integer>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.TokenEndAnnotation

extends Object
implements CoreAnnotation<Integer>

The CoreMap key identifying the last token after the end of an annotation. The token with index 0 is the first token in the document. This key should be set for any annotation that contains tokens.

Constructor Summary
`CoreAnnotations.TokenEndAnnotation()`

Method Summary
`Class<Integer>` `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.TokenEndAnnotation

    public CoreAnnotations.TokenEndAnnotation()

Method Detail

### getType

    public Class<Integer> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<Integer>`

Stanford NLP Group